<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".views.ProfileActivity">

    <com.google.android.material.imageview.ShapeableImageView
        android:id="@+id/myicon"
        android.scaleType="centerCrop"
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:background="?attr/selectableItemBackgroundBorderless"
        android:clickable="true"
        android:focusable="true"
        android:scaleType="centerCrop"
        android:src="@drawable/my_icon"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.533"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.145"
        app:shapeAppearance="@style/circle"
        app:strokeColor="@color/black"
        app:strokeWidth="2dp" />

    <Button
        android:id="@+id/dicisionbutton"
        android:layout_width="200dp"
        android:layout_height="55dp"
        android:text="決定"
        android:textColor="#000000"
        android:textSize="19sp"
        app:backgroundTint="#FFFF55"
        app:cornerRadius="5dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/idbutton"
        android:layout_width="251dp"
        android:layout_height="50dp"
        android:background="#FFFFFF"
        android:ems="10"
        android:hint="ID"
        android:inputType="text"
        android:textColor="#BAB7B7"
        android:textColorHighlight="#958E8E"
        android:textColorHint="#807C7C"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.811"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.4" />

    <EditText
        android:id="@+id/nicknamebutton"
        android:layout_width="251dp"
        android:layout_height="50dp"
        android:background="#FFFFFF"
        android:ems="10"
        android:hint="ニックネーム"
        android:inputType="text"
        android:textColor="#BAB7B7"
        android:textColorHighlight="#958E8E"
        android:textColorHint="#807C7C"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.811"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.312" />

    <TextView
        android:id="@+id/idtext"
        android:layout_width="32dp"
        android:layout_height="31dp"
        android:text="ID"
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.15"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.411" />

    <com.google.android.material.imageview.ShapeableImageView
        android:id="@+id/changeIcon"
        android.scaleType="centerCrop"
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:background="?attr/selectableItemBackgroundBorderless"

        android:scaleType="centerCrop"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.533"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.144"
        app:shapeAppearance="@style/circle"
        app:strokeColor="@color/black"
        app:strokeWidth="2dp" />

    <TextView
        android:id="@+id/account"
        android:layout_width="300dp"
        android:layout_height="40dp"
        android:text="プロフィール編集"
        android:textSize="30sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toEndOf="@+id/buttonReturn"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.023" />

    <ImageButton
        android:id="@+id/buttonReturn"
        android:layout_width="70dp"
        android:layout_height="70dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="4dp"
        android:background="@android:color/transparent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@android:drawable/ic_menu_revert"
        app:tint="#000000" />
    <TextView
        android:id="@+id/nicknametext"
        android:layout_width="103dp"
        android:layout_height="22dp"
        android:text="ニックネーム"
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.051"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.32" />

</androidx.constraintlayout.widget.ConstraintLayout>